The gdk-pixbuf Library
<<< Previous Page | Home | Up | Next Page >>>

# Extra Configuration Options

In addition to the normal options, the configure script in the gdk-pixbuf library supports these additional arguments:

configure [--disable-modules | --enable-modules] [--disable-gtk-doc | --enable-gtk-doc]

--disable-modules and --enable-modules. Normally gdk-pixbuf will try to build the image file format loaders as little shared libraries that are loaded on demand. The --disable-modules argument indicates that they should all be built statically into the gdk-pixbuf library instead. This is useful for people who need to produce statically-linked binaries. If neither --disable-modules nor --enable-modules is specified, then the configure script will try to auto-detect whether shared modules work on your system.

--disable-gtk-doc and --enable-gtk-doc. By default the configure script will try to auto-detect whether the gtk-doc package is installed. If it is, then it will use it to extract and build the documentation for the gdk-pixbuf library. These options can be used to explicitly control whether gtk-doc should be used or not. If it is not used, the distributed, pre-generated HTML files will be installed instead of building them on your machine.

<<< Previous Page | Home | Up | Next Page >>>
Compiling the gdk-pixbuf library | License